Subject: Re: [PATCH v7 5/5] rebase: support --trailer

From: Phillip Wood <[email-masked]>
Date: Wed, 4 Mar 2026 15:53:07 +0000

On 03/03/2026 21:18, Junio C Hamano wrote:
> "Kristoffer Haugsbakk" <[email-masked]> writes:
> 
>>> I wonder if it would be better to add the trailers before the signoff so
>>> that "git rebase --signoff --trailer='Reviewed-by: ...'" adds the
>>> "Reviewed-by:" trailer before the "Signed-off-by:" trailer.
>>
>> Why is that? Is that because that is the practice in this project (and
>> maybe others)?
> 
> I do not think it is a good idea for the above sample command, where
> we can argue that the intent of the user is to have sign-off and
> then reviewed-by, expressed in the order of options given.
> 
> If we want to control where the new trailers are added, perhaps we
> would need to match the --where option interpret-trailers has and
> let the configuration honored by that command take care of the
> ordering.

Let's leave it as it is for now as that matches what "git commit 
--signoff --trailer=..." does and no one has complained about that.

Thanks

Phillip